package net.mkonrad.synes.data.instruments;

import javax.vecmath.Color3f;
import javax.vecmath.Point3f;

import net.mkonrad.synes.data.Beat;
import net.mkonrad.synes.data.RhythmInstrument;
import net.mkonrad.synes.data.SynthObj;
import net.mkonrad.synes.gui.elements.instruments.InstrumentShape;
import net.mkonrad.synes.gui.elements.instruments.PentagonShape;
import net.mkonrad.synes.gui.style.Colors;

public class Hihat extends RhythmInstrument
{
  public Hihat()
  {
    super();
    _name = "synes_hihat";
    _iconName = "hihat.png";
    _texture = "pentagon.png";
    _color = Colors.yellow;
  }
  
  public InstrumentShape createInstrumentShape(SynthObj synthData, Point3f pos)
  {
    return new PentagonShape(synthData, pos);
  }
}
